cURL
curl --request PUT \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY' \
--header 'Content-Type: application/json' \
--data '{"displayName": "Trattoria da Mario", "logoUrl": "https://cdn.example.com/logo.png", "locale": "it", "legalName": "Trattoria da Mario S.r.l.", "address": "Via Roma 1, Milano", "privacyUrl": "https://trattoriadamario.example/privacy", "brandColor": "#1F5E5B"}'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812', {
method: 'PUT',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"displayName": "Trattoria da Mario", "logoUrl": "https://cdn.example.com/logo.png", "locale": "it", "legalName": "Trattoria da Mario S.r.l.", "address": "Via Roma 1, Milano", "privacyUrl": "https://trattoriadamario.example/privacy", "brandColor": "#1F5E5B"}),
});
const { data } = await res.json();
console.log(data);import requests
res = requests.put(
'https://api.minimo.it/public/v1/tenants/restaurant_4812',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
json={"displayName": "Trattoria da Mario", "logoUrl": "https://cdn.example.com/logo.png", "locale": "it", "legalName": "Trattoria da Mario S.r.l.", "address": "Via Roma 1, Milano", "privacyUrl": "https://trattoriadamario.example/privacy", "brandColor": "#1F5E5B"},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => 'Trattoria da Mario',
'logoUrl' => 'https://cdn.example.com/logo.png',
'locale' => 'it',
'legalName' => 'Trattoria da Mario S.r.l.',
'address' => 'Via Roma 1, Milano',
'privacyUrl' => 'https://trattoriadamario.example/privacy',
'brandColor' => '#1F5E5B'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}"
payload := strings.NewReader("{\n \"displayName\": \"Trattoria da Mario\",\n \"logoUrl\": \"https://cdn.example.com/logo.png\",\n \"locale\": \"it\",\n \"legalName\": \"Trattoria da Mario S.r.l.\",\n \"address\": \"Via Roma 1, Milano\",\n \"privacyUrl\": \"https://trattoriadamario.example/privacy\",\n \"brandColor\": \"#1F5E5B\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.minimo.it/public/v1/tenants/{tenant}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"Trattoria da Mario\",\n \"logoUrl\": \"https://cdn.example.com/logo.png\",\n \"locale\": \"it\",\n \"legalName\": \"Trattoria da Mario S.r.l.\",\n \"address\": \"Via Roma 1, Milano\",\n \"privacyUrl\": \"https://trattoriadamario.example/privacy\",\n \"brandColor\": \"#1F5E5B\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"Trattoria da Mario\",\n \"logoUrl\": \"https://cdn.example.com/logo.png\",\n \"locale\": \"it\",\n \"legalName\": \"Trattoria da Mario S.r.l.\",\n \"address\": \"Via Roma 1, Milano\",\n \"privacyUrl\": \"https://trattoriadamario.example/privacy\",\n \"brandColor\": \"#1F5E5B\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"displayName": "Trattoria da Mario",
"logoUrl": "https://cdn.example.com/logo.png",
"locale": "it",
"legalName": "Trattoria da Mario S.r.l.",
"address": "Via Roma 1, Milano",
"privacyUrl": "https://trattoriadamario.example/privacy",
"website": null,
"phone": "+39 02 1234 5678",
"email": null,
"socials": {
"facebook": null,
"instagram": null,
"linkedin": null,
"x": null,
"youtube": null,
"tiktok": null
},
"brandColor": "#1F5E5B",
"editedByTenant": [],
"updatedAt": "2026-11-08T21:06:26.028Z"
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Tenants
Save Tenant Profile
Create or update the restaurant name, logo, contacts and legal details
PUT
/
public
/
v1
/
tenants
/
{tenant}
cURL
curl --request PUT \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY' \
--header 'Content-Type: application/json' \
--data '{"displayName": "Trattoria da Mario", "logoUrl": "https://cdn.example.com/logo.png", "locale": "it", "legalName": "Trattoria da Mario S.r.l.", "address": "Via Roma 1, Milano", "privacyUrl": "https://trattoriadamario.example/privacy", "brandColor": "#1F5E5B"}'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812', {
method: 'PUT',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"displayName": "Trattoria da Mario", "logoUrl": "https://cdn.example.com/logo.png", "locale": "it", "legalName": "Trattoria da Mario S.r.l.", "address": "Via Roma 1, Milano", "privacyUrl": "https://trattoriadamario.example/privacy", "brandColor": "#1F5E5B"}),
});
const { data } = await res.json();
console.log(data);import requests
res = requests.put(
'https://api.minimo.it/public/v1/tenants/restaurant_4812',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
json={"displayName": "Trattoria da Mario", "logoUrl": "https://cdn.example.com/logo.png", "locale": "it", "legalName": "Trattoria da Mario S.r.l.", "address": "Via Roma 1, Milano", "privacyUrl": "https://trattoriadamario.example/privacy", "brandColor": "#1F5E5B"},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => 'Trattoria da Mario',
'logoUrl' => 'https://cdn.example.com/logo.png',
'locale' => 'it',
'legalName' => 'Trattoria da Mario S.r.l.',
'address' => 'Via Roma 1, Milano',
'privacyUrl' => 'https://trattoriadamario.example/privacy',
'brandColor' => '#1F5E5B'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}"
payload := strings.NewReader("{\n \"displayName\": \"Trattoria da Mario\",\n \"logoUrl\": \"https://cdn.example.com/logo.png\",\n \"locale\": \"it\",\n \"legalName\": \"Trattoria da Mario S.r.l.\",\n \"address\": \"Via Roma 1, Milano\",\n \"privacyUrl\": \"https://trattoriadamario.example/privacy\",\n \"brandColor\": \"#1F5E5B\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.minimo.it/public/v1/tenants/{tenant}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"Trattoria da Mario\",\n \"logoUrl\": \"https://cdn.example.com/logo.png\",\n \"locale\": \"it\",\n \"legalName\": \"Trattoria da Mario S.r.l.\",\n \"address\": \"Via Roma 1, Milano\",\n \"privacyUrl\": \"https://trattoriadamario.example/privacy\",\n \"brandColor\": \"#1F5E5B\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"Trattoria da Mario\",\n \"logoUrl\": \"https://cdn.example.com/logo.png\",\n \"locale\": \"it\",\n \"legalName\": \"Trattoria da Mario S.r.l.\",\n \"address\": \"Via Roma 1, Milano\",\n \"privacyUrl\": \"https://trattoriadamario.example/privacy\",\n \"brandColor\": \"#1F5E5B\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"displayName": "Trattoria da Mario",
"logoUrl": "https://cdn.example.com/logo.png",
"locale": "it",
"legalName": "Trattoria da Mario S.r.l.",
"address": "Via Roma 1, Milano",
"privacyUrl": "https://trattoriadamario.example/privacy",
"website": null,
"phone": "+39 02 1234 5678",
"email": null,
"socials": {
"facebook": null,
"instagram": null,
"linkedin": null,
"x": null,
"youtube": null,
"tiktok": null
},
"brandColor": "#1F5E5B",
"editedByTenant": [],
"updatedAt": "2026-11-08T21:06:26.028Z"
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Guide: Brand widget and tenant branding. Errors: Errors and limits.
Authorizations
Path Parameters
Body
application/json
Only the fields you send are written. null clears a field.